
/* Dashboard */
.db-body{
    padding-right: 0 !important;
    font-family: Montserrat, sans-serif;
    overflow: hidden;
    background-color: #efefef;
}

.db-mainPanel{
    position: relative;
    width: 100%;
}
.db-topBar{
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    background-color: var(--dbColorDark1);
    padding: 15px 1rem;
    color: white;
}

.db-mainButton > img{
    width: 20px;
    height: 20px;
}


.db-section{
    display: flex;
    flex-direction: column;
    padding: 1rem;
    background-color: white;
    color: #384940;
    border-radius: 2rem;
}
.db-innerBox{
    display: flex;
    flex-direction: column;
}
.db-version{
    position: absolute;
    bottom: 0;
    display: flex;
    width: 100%;
    flex-direction: column;
    align-items: center;
    padding: 1rem;
    font-size: 11px;
}


.db-folderTree{
    min-width: 400px;
    padding-top: 1rem;
    padding-right: 1rem;
    height: 80vh;
    overflow: auto;
    border-right: 1px solid var(--dbColorDark1);
    background-color: #444a3c66;
}
.btnHelp
.db-files{
    display: flex;
    flex-direction: column;
    gap: 5px;
    padding: 1rem 0 1rem 1rem;
    width: 100%;
    height: 80vh;
    overflow-y: auto;
}
.db-tagButton{
    font-size: 9px;
    text-transform: uppercase;
    padding: 2px 5px;
    background-color: #e4dfca;
    border: 1px solid orange;
    border-radius: 4px;
}
.db-tagButton:hover{
    background-color: black;
    color: yellow;
}
.db-separator{
    border-top: 1px solid grey;
}
.db-windowContent{
    position: relative;
   /* padding-top: 1rem;*/
}
.db-statContent{
    position: relative;
    display: flex;
    gap: 2rem;
    height: 70vh;
}
.db-input{
    border-radius: 8px;
}
.db-iconBtn{
    width: 25px;
    height: 25px;
    background-size: contain;
    background-position: center center;
    border: none;
    cursor: pointer;
    transition: 0.3s;
}
.db-iconBtn:hover{

}
.db-btnPatch{
    background: url("/Public/icons/patch.svg");
    background-size: contain;
    background-position: center center;
}
.fullVisitors{
    font-size: 20px;
    font-weight: 600;
}
#chart{
    height: 70vh;
    width: 60% !important;
}

/* Download controller */
.dc-container{
    display: flex;
    flex-direction: column;
    background-color: var(--dbColorDark1);
    border-radius: 1rem;
    padding: 0 1rem;
    transition: 0.5s;
}
.dc-titleBar{
    border-bottom: 2px solid white;
    display: flex;
    justify-content: space-between;
}
.dc-title{
    color: white;
    font-size: 20px;
    font-weight: 600;
}
.dc-searchField{
    padding: 5px 10px;
    border: none;
    border-radius: 12px;
    margin-bottom: 4px;
}
.dc-treeContainer{
    width: fit-content;
    min-width: 300px;
    padding-right: 1rem;
    border-right: 1px solid white;
}
/*.dc-fileContainer{*/
/*    padding-left: 1rem;*/
/*    min-width: 500px;*/
/*}*/
.dc-fileContainer{
    display: flex;
    flex-direction: column;
    min-width: 500px;
    padding-left: 1rem;
    gap: 10px;
    transition: 0.5s;
}
.dc-fileBox{
    position: relative;
    display: flex;
    padding: 6px 10px;
    background-color: white;
    border-left: 4px solid transparent;
    border-radius: 6px;
    min-height: 45px;
    color: black;
    transition: 0.3s;
}
.dc-fileBox:hover{
    transform: translateX(10px);
    background-color: #c2c2c2;
}
.dc-typeIcon{
    width: 30px;
    margin-right: 1rem;
}
.dc-infoBox{
    display: flex;
    flex-direction: column;
    width: 100%;
}
.dc-fileName{
    text-decoration: none;
    color: black;
    cursor: pointer;
}
.dc-info{
    display: flex;
    font-size: 12px;
    gap: 2px;
    padding-top: 5px;
    z-index: 2;
}
.dc-date{
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 10px;
}
.dc-date > span{
    text-align: center;
}
.dc-details{
    display: flex;
    flex-direction: column;
}
.dc-fileLink{
    border-left: 4px solid red;
}

.clearSearchField{
    position: absolute;
    right: 3px;
    top: 3px;
    border: none;
    border-radius: 50%;
    background-color: transparent;
    cursor: pointer;
    transition: 0.3s;
}
.clearSearchField:hover{
    background-color: grey;
    color: white;
}

.usernameLabel{
    position: absolute;
    top: 40px;
    right: 0;
    font-size: 12px;
    font-weight: 600;
    text-transform: uppercase;
}
.cke_notifications_area{
    display: none;
}

.hoverNameBox{
    cursor: default;
}

/* layoutSelector */
.ls-container {
    display: flex;
    width: 100%;
    gap: 1rem;
}
.ls-wrapper{
    display: flex;
    flex-direction: column;
    transition: 0.3s;
}
.ls-layoutBox{
    position: relative;
    display: flex;
    flex-direction: column;
    border: 1px solid white;
    font-size: 12px;
    height: 100%;
}
.ls-selected{
    box-shadow: 0px 0px 10px 2px #0ae30a;
}
.ls-wrapper:not(.ls-selected):hover{
    cursor: pointer;
    box-shadow: 0px 0px 10px 2px white;
}
.ls-name{
    width: 100%;
    padding: 5px 3px;
    text-align: center;
    font-size: 12px;
}

.mainContent{
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    flex-wrap: wrap;
    gap: 2rem;
    color: white;
    padding: 100px;
}

.menuTitle{
    width: 100%;
    font-size: 18px;
    font-weight: 600;
    text-align: center;
}

/* ImageInput */
.ii-container {
    position: relative;
}
.ii-image {
    cursor: pointer;
}
.ii-btnClear {
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    left: 0;
    top: 0;
    width: 25px;
    height: 25px;
    transition: 0.3s;
    cursor: pointer;
}
.ii-btnClear:hover{
    background-color: grey;
}
.ii-btnClear > img {
    width: 20px;
    height: 20px;
}

/* InputDate */
.id-container {
    position: relative;
    display: flex;
    align-items: center;
    gap: 1rem;
}
.id-dateContainer {
    display: flex;
}
.id-icon {
    cursor: pointer;
}
.id-noIcon {
    width: 96px;
}
.id-formatHU {
    flex-direction: row;
}
.id-formatEN {
    flex-direction: row-reverse;
}
.id-input {
    font-family: var(--fontMono);
    border: none;
}
.id-yearInput {
    width: 40px;
}
.id-monthInput {
    width: 20px;
}
.id-dayInput {
    width: 20px;
}
.id-dateSelector {
    position: absolute;
    display: flex;
    flex-direction: column;
    /*width:200px;*/
    left: 0;
    top: 0px;
    border: 2px solid var(--blue02);
    z-index: 2;
}
.id-upperRow{
    display: flex;
}
.id-daysBody{
    position: relative;
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    gap: 2px;
    background-color: var(--blue02);
    padding: 3px;
    transition: 0.2s;
}
.id-day {
    text-align: center;
    font-size: 10px;
    font-weight: 600;
    padding: 2px;
    border: 2px solid white;
    border-radius: 4px;
    background-color: white;
    cursor: pointer;
    transition: 0.3s;
}
.id-day:hover {
    background-color: var(--blue01);
    color: white;
}
.id-otherMonth {
    color: var(--blue02);
}
.id-daySelected {
    box-shadow: 0 0 1px 2px var(--blue01);
}

/* InputCheckbox */
.icb-container {
    display: flex;
    align-items: center;
    gap: 10px;
    cursor: pointer;
}
.icb-checkbox {
    width: 25px;
    height: 25px;
    min-width: 25px;
    min-height: 25px;
    border: 2px solid var(--blue01);
    border-radius: 4px;
    transition: 0.3s;
}
.icb-label {
    color: var(--grey01);
    cursor: pointer;
}
.icb-checked {
    background-color: var(--blue01);
    background-image: url(/Public/System/icons/checkbox-ok.svg);
}

.ac-closed {
    display: none;
}
.ac-titleBar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
}
.ac-container {
    display: flex;
    flex-direction: column;
}
.ac-control {
    display: block;
    font-size: 20px;
    color: #344f40;
    background-color: white;
    border-radius: 50%;
    padding: 2px;
    transform: rotate(0deg);
    transition: 0.3s;
}
.ac-controlOpened {
    transform: rotate(180deg);
}